import Component from '../../component.js'
import MatDateRangeInput from '../../material/mat-date-range-input.js'
import CoEuiButton from './eui-button.js'

export default class CoEuiDateRangeSelector extends Component {
    constructor(parent) {
      let selector = 'eui-date-range-selector';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-date-range-selector/eui-date-range-selector.component.html?at=support/10.x
    }
    get dataE2E() {
      return this.currentPath + '//div[@data-e2e="eui-date-range-selector"]';
    }
    get matDateRangeInputCo() {
      return new MatDateRangeInput(this.dataE2E);
    }
    //https://github.com/angular/components/blob/master/src/material/datepicker/date-range-picker.ts
    get matDateRangePicker() {
      return this.currentPath + '//mat-date-range-picker';
    }
    get selectorTogglerEuiButtonCo() {
      return new CoEuiButton(this.dataE2E).byAttributeContains('class','eui-date-range-selector__toggler');
    }
}


